diff --git a/ldap/servers/slapd/plugin_syntax.c b/ldap/servers/slapd/plugin_syntax.c
index 76f5720..fb5a581 100644
--- a/ldap/servers/slapd/plugin_syntax.c
+++ b/ldap/servers/slapd/plugin_syntax.c
@@ -25,13 +25,13 @@ plugin_syntax_find( const char *nameoroid )
 {
 	struct slapdplugin	*pi;
 
-	/* LDAPDebug( LDAP_DEBUG_FILTER, "=> plugin_syntax_find (%s)\n", nameoroid, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> plugin_syntax_find (%s)\n", nameoroid, 0, 0 ); */
 	for ( pi = get_plugin_list(PLUGIN_LIST_SYNTAX); pi != NULL; pi = pi->plg_next ) {
 		if ( charray_inlist( pi->plg_syntax_names, (char *)nameoroid ) ) {
 			break;
 		}
 	}
-	/* LDAPDebug( LDAP_DEBUG_FILTER, "<= plugin_syntax_find %d\n", pi, 0, 0 ); */
+	/* LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= plugin_syntax_find %d\n", pi, 0, 0 ); */
 	return ( pi );
 }
 
@@ -60,7 +60,7 @@ slapi_get_global_syntax_plugins()
 char *
 plugin_syntax2oid( struct slapdplugin *pi )
 {
-	LDAPDebug(LDAP_DEBUG_ANY,
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "the function plugin_syntax2oid is deprecated - please use attr_get_syntax_oid instead\n", 0, 0, 0);
     PR_ASSERT(0);
 	return( NULL );
@@ -72,7 +72,7 @@ plugin_call_syntax_get_compare_fn(
 	value_compare_fn_type *compare_fn
 )
 {
-	LDAPDebug(LDAP_DEBUG_ANY,
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "the function plugin_call_syntax_get_compare_fn is deprecated - please use attr_get_value_cmp_fn instead\n", 0, 0, 0);
     PR_ASSERT(0);
 	return( 0 );
@@ -101,7 +101,7 @@ plugin_call_syntax_filter_ava_sv(
 	Slapi_PBlock	pipb;
 	IFP ava_fn = NULL;
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "=> plugin_call_syntax_filter_ava %s=%s\n", ava->ava_type,
 	    ava->ava_value.bv_val, 0 );
 
@@ -112,7 +112,7 @@ plugin_call_syntax_filter_ava_sv(
 	}
 
 	if ( ( a->a_mr_eq_plugin == NULL ) && ( a->a_mr_ord_plugin == NULL ) && ( a->a_plugin == NULL ) ) {
-		LDAPDebug( LDAP_DEBUG_FILTER,
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 		    "<= plugin_call_syntax_filter_ava no plugin for attr (%s)\n",
 		    a->a_type, 0, 0 );
 		return( LDAP_PROTOCOL_ERROR );	/* syntax unkonwn */
@@ -135,7 +135,7 @@ plugin_call_syntax_filter_ava_sv(
 		if ((a->a_mr_ord_plugin == NULL) &&
 			((a->a_plugin->plg_syntax_flags &
 			  SLAPI_PLUGIN_SYNTAX_FLAG_ORDERING) == 0)) {
-			LDAPDebug( LDAP_DEBUG_FILTER,
+			LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 					   "<= plugin_call_syntax_filter_ava: attr (%s) has no ordering matching rule, and syntax does not define a compare function\n",
 					   a->a_type, 0, 0 );
 			rc = LDAP_PROTOCOL_ERROR;
@@ -177,19 +177,19 @@ plugin_call_syntax_filter_ava_sv(
 				rc = (*ava_fn)( &pipb, &ava->ava_value, va, ftype, retVal );
 			}
 		} else {
-			LDAPDebug( LDAP_DEBUG_FILTER,
+			LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 					   "<= plugin_call_syntax_filter_ava: attr (%s) has no ava filter function\n",
 					   a->a_type, 0, 0 );
 		}
 		break;
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "plugin_call_syntax_filter_ava: "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "plugin_call_syntax_filter_ava: "
 		    "unknown filter type %d\n", ftype, 0, 0 );
 		rc = LDAP_PROTOCOL_ERROR;
 		break;
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= plugin_call_syntax_filter_ava %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -216,7 +216,7 @@ plugin_call_syntax_filter_sub_sv(
 	IFP sub_fn = NULL;
 	int filter_normalized = 0;
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "=> plugin_call_syntax_filter_sub_sv\n", 0, 0, 0 );
 
 	if ( ( a->a_mr_sub_plugin == NULL ) && ( a->a_plugin == NULL ) ) {
@@ -224,7 +224,7 @@ plugin_call_syntax_filter_sub_sv(
 		slapi_attr_init_syntax(a);
 	}
 	if ( ( a->a_mr_sub_plugin == NULL ) && ( a->a_plugin == NULL ) ) {
-		LDAPDebug( LDAP_DEBUG_FILTER,
+		LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 				   "<= plugin_call_syntax_filter_sub_sv attribute (%s) has no substring matching rule or syntax plugin\n",
 				   a->a_type, 0, 0 );
 		return( -1 );	/* syntax unkonwn - does not match */
@@ -262,7 +262,7 @@ plugin_call_syntax_filter_sub_sv(
 		rc = -1;
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "<= plugin_call_syntax_filter_sub_sv %d\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "<= plugin_call_syntax_filter_sub_sv %d\n",
 	    rc, 0, 0 );
 	return( rc );
 }
@@ -562,7 +562,7 @@ slapi_call_syntax_values2keys_sv(
 	Slapi_PBlock		pipb;
 	struct slapdplugin	*pi = vpi;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> slapi_call_syntax_values2keys\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> slapi_call_syntax_values2keys\n",
 	    0, 0, 0 );
 
 	pblock_init( &pipb );
@@ -574,7 +574,7 @@ slapi_call_syntax_values2keys_sv(
 		rc = pi->plg_syntax_values2keys( &pipb, vals, ivals, ftype );
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_call_syntax_values2keys %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -592,7 +592,7 @@ slapi_attr_values2keys_sv_pb(
 	struct slapdplugin	*pi = NULL;
 	IFP v2k_fn = NULL;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> slapi_attr_values2keys_sv\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> slapi_attr_values2keys_sv\n",
 	    0, 0, 0 );
 	if ( ( sattr->a_plugin == NULL ) ) {
 		/* could be lazy plugin initialization, get it now */
@@ -620,7 +620,7 @@ slapi_attr_values2keys_sv_pb(
 		}
 		break;
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "<= slapi_attr_values2keys_sv: ERROR: unsupported filter type %d\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "<= slapi_attr_values2keys_sv: ERROR: unsupported filter type %d\n",
 				   ftype, 0, 0 );
 		rc = LDAP_PROTOCOL_ERROR;
 		goto done;
@@ -635,7 +635,7 @@ slapi_attr_values2keys_sv_pb(
 	}
 
 done:
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_call_syntax_values2keys %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -688,7 +688,7 @@ slapi_call_syntax_values2keys_sv_pb(
 	int					rc;
 	struct slapdplugin	*pi = vpi;
 
-	LDAPDebug( LDAP_DEBUG_FILTER, "=> slapi_call_syntax_values2keys\n",
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG, "=> slapi_call_syntax_values2keys\n",
 	    0, 0, 0 );
 
 	slapi_pblock_set( pb, SLAPI_PLUGIN, vpi );
@@ -699,7 +699,7 @@ slapi_call_syntax_values2keys_sv_pb(
 		rc = pi->plg_syntax_values2keys( pb, vals, ivals, ftype );
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_call_syntax_values2keys %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -735,7 +735,7 @@ slapi_call_syntax_assertion2keys_ava_sv(
 	Slapi_PBlock		pipb;
 	struct slapdplugin	*pi = vpi;
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "=> slapi_call_syntax_assertion2keys_ava\n", 0, 0, 0 );
 
 	pblock_init( &pipb );
@@ -746,7 +746,7 @@ slapi_call_syntax_assertion2keys_ava_sv(
 		rc = pi->plg_syntax_assertion2keys_ava( &pipb, val, ivals, ftype );
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_call_syntax_assertion2keys_ava %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -764,7 +764,7 @@ slapi_attr_assertion2keys_ava_sv(
 	struct slapdplugin	*pi = NULL;
 	IFP a2k_fn = NULL;
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "=> slapi_attr_assertion2keys_ava_sv\n", 0, 0, 0 );
 	if ( ( sattr->a_plugin == NULL ) ) {
 		/* could be lazy plugin initialization, get it now */
@@ -784,7 +784,7 @@ slapi_attr_assertion2keys_ava_sv(
 		}
 		break;
 	default:
-		LDAPDebug( LDAP_DEBUG_ANY, "<= slapi_attr_assertion2keys_ava_sv: ERROR: unsupported filter type %d\n",
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "<= slapi_attr_assertion2keys_ava_sv: ERROR: unsupported filter type %d\n",
 				   ftype, 0, 0 );
 		rc = LDAP_PROTOCOL_ERROR;
 		goto done;
@@ -798,7 +798,7 @@ slapi_attr_assertion2keys_ava_sv(
 		rc = (*a2k_fn)( &pipb, val, ivals, ftype );
 	}
 done:
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_attr_assertion2keys_ava_sv %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -852,7 +852,7 @@ slapi_call_syntax_assertion2keys_sub_sv(
 	Slapi_PBlock		pipb;
 	struct slapdplugin	*pi = vpi;
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "=> slapi_call_syntax_assertion2keys_sub\n", 0, 0, 0 );
 
 	pblock_init( &pipb );
@@ -865,7 +865,7 @@ slapi_call_syntax_assertion2keys_sub_sv(
 		    final, ivals );
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_call_syntax_assertion2keys_sub %d\n", rc, 0, 0 );
 	return( rc );
 }
@@ -898,7 +898,7 @@ slapi_attr_assertion2keys_sub_sv_pb(
 	struct slapdplugin	*origpi = NULL;
 	IFP a2k_fn = NULL;
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "=> slapi_attr_assertion2keys_sub_sv\n", 0, 0, 0 );
 	if ( ( sattr->a_plugin == NULL ) ) {
 		/* could be lazy plugin initialization, get it now */
@@ -932,7 +932,7 @@ slapi_attr_assertion2keys_sub_sv_pb(
 		slapi_pblock_set(pb, SLAPI_PLUGIN, origpi);
 	}
 
-	LDAPDebug( LDAP_DEBUG_FILTER,
+	LDAPDebug(LDAP_DEBUG_FILTER, LOG_DEBUG,
 	    "<= slapi_attr_assertion2keys_sub_sv %d\n", rc, 0, 0 );
 	return( rc );
 }
diff --git a/ldap/servers/slapd/poll_using_select.c b/ldap/servers/slapd/poll_using_select.c
index 203dce1..8c22847 100644
--- a/ldap/servers/slapd/poll_using_select.c
+++ b/ldap/servers/slapd/poll_using_select.c
@@ -40,7 +40,7 @@ poll_using_select(struct my_pollfd *filed, int nfds, int timeout)
     int a, b, retval;
 
 #ifdef DEBUG_POLL_AS_SELECT
-    LDAPDebug(LDAP_DEBUG_ANY, "poll convert nfds=%d, timeout=%d\n", nfds, timeout,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "poll convert nfds=%d, timeout=%d\n", nfds, timeout,0);
 #endif /* DEBUG_POLL_AS_SELECT */
 
     FD_ZERO( &rd );
@@ -61,7 +61,7 @@ poll_using_select(struct my_pollfd *filed, int nfds, int timeout)
 
 #ifdef DEBUG_POLL_AS_SELECT
 	if (filed[a].events != 0) {
-		LDAPDebug(LDAP_DEBUG_ANY, "poll events = %d for fd=%d\n", filed[a].events, filed[a].fd,0);
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "poll events = %d for fd=%d\n", filed[a].events, filed[a].fd,0);
 	}
 #endif /* DEBUG_POLL_AS_SELECT */
 
@@ -77,7 +77,7 @@ poll_using_select(struct my_pollfd *filed, int nfds, int timeout)
 
 #ifdef DEBUG_POLL_AS_SELECT
 	if( temp_events != 0 ){
-	    LDAPDebug(LDAP_DEBUG_ANY, "Unhandled poll event type=0x%x on FD(%d)\n",filed[a].events,filed[a].fd,0);
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Unhandled poll event type=0x%x on FD(%d)\n",filed[a].events,filed[a].fd,0);
 	}
 #endif /* DEBUG_POLL_AS_SELECT */
 
@@ -98,7 +98,7 @@ poll_using_select(struct my_pollfd *filed, int nfds, int timeout)
     if( retval <= 0 ) return( retval );
 
 #ifdef DEBUG_POLL_AS_SELECT
-    LDAPDebug(LDAP_DEBUG_ANY, "For\n",0,0,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "For\n",0,0,0);
 #endif /* DEBUG_POLL_AS_SELECT */
 
     for( b=0; b<nfds;b++){
@@ -112,7 +112,7 @@ poll_using_select(struct my_pollfd *filed, int nfds, int timeout)
 
 #ifdef DEBUG_POLL_AS_SELECT
 	    if ((filed[b].events != 0) || (filed[b].revents != 0)) {
-	 	LDAPDebug(LDAP_DEBUG_ANY, "   file des=%d, events=0x%x, revents=0x%x\n", filed[b].fd, filed[b].events ,filed[b].revents);
+	 	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "   file des=%d, events=0x%x, revents=0x%x\n", filed[b].fd, filed[b].events ,filed[b].revents);
 	    }
 #endif /* DEBUG_POLL_AS_SELECT */
 	}
@@ -123,7 +123,7 @@ poll_using_select(struct my_pollfd *filed, int nfds, int timeout)
     }
 
 #ifdef DEBUG_POLL_AS_SELECT
-    LDAPDebug(LDAP_DEBUG_ANY, "poll returns %d (converted poll)\n",retval,0,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "poll returns %d (converted poll)\n",retval,0,0);
 #endif /* DEBUG_POLL_AS_SELECT */
 
     return( retval );
diff --git a/ldap/servers/slapd/protect_db.c b/ldap/servers/slapd/protect_db.c
index 238f943..12507a1 100644
--- a/ldap/servers/slapd/protect_db.c
+++ b/ldap/servers/slapd/protect_db.c
@@ -164,7 +164,7 @@ make_sure_dir_exists(char *dir)
     if (PR_MkDir(dir, 0755) != PR_SUCCESS) {
         PRErrorCode prerr = PR_GetError();
         if (prerr != PR_FILE_EXISTS_ERROR) {
-            LDAPDebug(LDAP_DEBUG_ANY, FILE_CREATE_ERROR, dir, prerr, slapd_pr_strerror(prerr));
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, FILE_CREATE_ERROR, dir, prerr, slapd_pr_strerror(prerr));
             return 1;
         }
     }
@@ -175,10 +175,10 @@ make_sure_dir_exists(char *dir)
         pw = slapdFrontendConfig->localuserinfo;
         if (chown(dir, pw->pw_uid, -1) == -1) {
             if ((stat(dir, &stat_buffer) == 0) && (stat_buffer.st_uid != pw->pw_uid)) {
-                LDAPDebug(LDAP_DEBUG_ANY, CHOWN_WARNING, dir, 0, 0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, CHOWN_WARNING, dir, 0, 0);
                 return 1;
             } else {
-                LDAPDebug(LDAP_DEBUG_ANY, STAT_ERROR, dir, errno, 0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, STAT_ERROR, dir, errno, 0);
                 return 1;
             }
         }
@@ -203,7 +203,7 @@ add_this_process_to(char *dir_name)
     file_name[sizeof(file_name)-1] = (char)0;
     
     if ((prfd = PR_Open(file_name, PR_RDWR | PR_CREATE_FILE, 0644)) == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, FILE_CREATE_WARNING, file_name, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, FILE_CREATE_WARNING, file_name, 0, 0);
         return;
     }
     
@@ -214,7 +214,7 @@ add_this_process_to(char *dir_name)
         pw = slapdFrontendConfig->localuserinfo;
         if (chown(file_name, pw->pw_uid, -1) == -1) {
             if ((stat(file_name, &stat_buffer) == 0) && (stat_buffer.st_uid != pw->pw_uid)) {
-                LDAPDebug(LDAP_DEBUG_ANY, CHOWN_WARNING, file_name, 0, 0);
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, CHOWN_WARNING, file_name, 0, 0);
             }
         }
     }
@@ -388,10 +388,10 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
     case SLAPD_EXEMODE_SLAPD:
     if (running) {
         result = -1;
-        LDAPDebug(LDAP_DEBUG_ANY, NO_SERVER_DUE_TO_SERVER, running, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_SERVER_DUE_TO_SERVER, running, 0, 0);
     } else if (importing) {
         result = -1;
-        LDAPDebug(LDAP_DEBUG_ANY, NO_SERVER_DUE_TO_IMPORT, importing, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_SERVER_DUE_TO_IMPORT, importing, 0, 0);
     } else {
         add_this_process_to(server_dir);
         result = 0;
@@ -404,7 +404,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
          * it needs to run by itself, so no other slapd process can
          * change the database while it is running. */
         if (running || importing) {
-            LDAPDebug(LDAP_DEBUG_ANY, NO_DB2LDIFR_DUE_TO_USE, 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_DB2LDIFR_DUE_TO_USE, 0, 0, 0);
             result = -1;
         } else {
             /* Even though this is really going to export code, we will 
@@ -415,7 +415,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
         }
     } else {
         if (importing) {
-            LDAPDebug(LDAP_DEBUG_ANY, NO_DB2LDIF_DUE_TO_IMPORT, importing, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_DB2LDIF_DUE_TO_IMPORT, importing, 0, 0);
             result = -1;        
         } else {
             add_this_process_to(export_dir);
@@ -425,7 +425,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
     break;
     case SLAPD_EXEMODE_DB2ARCHIVE:
     if (importing) {
-        LDAPDebug(LDAP_DEBUG_ANY, NO_DB2BAK_DUE_TO_IMPORT, importing, 0, 0);        
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_DB2BAK_DUE_TO_IMPORT, importing, 0, 0);        
         result = -1;
     } else {
         add_this_process_to(export_dir);
@@ -435,7 +435,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
     case SLAPD_EXEMODE_ARCHIVE2DB:
     case SLAPD_EXEMODE_LDIF2DB:
     if (running || importing || exporting) {
-        LDAPDebug(LDAP_DEBUG_ANY, NO_IMPORT_DUE_TO_USE, 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_IMPORT_DUE_TO_USE, 0, 0, 0);
         result = -1;
     } else {
         add_this_process_to(import_dir);
@@ -444,7 +444,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
     break;
     case SLAPD_EXEMODE_DB2INDEX:
         if (running || importing || exporting) {
-            LDAPDebug(LDAP_DEBUG_ANY, NO_DB2INDEX_DUE_TO_USE, 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_DB2INDEX_DUE_TO_USE, 0, 0, 0);
             result = -1;
         } else {
             add_this_process_to(import_dir);
@@ -453,7 +453,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
         break;
     case SLAPD_EXEMODE_UPGRADEDB:
         if (running || importing || exporting) {
-            LDAPDebug(LDAP_DEBUG_ANY, NO_UPGRADEDB_DUE_TO_USE, 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_UPGRADEDB_DUE_TO_USE, 0, 0, 0);
             result = -1;
         } else {
             add_this_process_to(import_dir);
@@ -462,7 +462,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
         break;
     case SLAPD_EXEMODE_UPGRADEDNFORMAT:
         if (running || importing || exporting) {
-            LDAPDebug(LDAP_DEBUG_ANY, NO_UPGRADEDNFORMAT_DUE_TO_USE, 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_UPGRADEDNFORMAT_DUE_TO_USE, 0, 0, 0);
             result = -1;
         } else {
             add_this_process_to(import_dir);
@@ -471,7 +471,7 @@ add_new_slapd_process(int exec_mode, int r_flag, int skip_flag)
         break;
     case SLAPD_EXEMODE_DBTEST:
         if (running || importing || exporting) {
-            LDAPDebug(LDAP_DEBUG_ANY, NO_DBTEST_DUE_TO_USE, 0, 0, 0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, NO_DBTEST_DUE_TO_USE, 0, 0, 0);
             result = -1;
         } else {
             add_this_process_to(import_dir);
diff --git a/ldap/servers/slapd/psearch.c b/ldap/servers/slapd/psearch.c
index e88bcb9..d2ee5c8 100644
--- a/ldap/servers/slapd/psearch.c
+++ b/ldap/servers/slapd/psearch.c
@@ -101,17 +101,17 @@ ps_init_psearch_system()
     if ( !PS_IS_INITIALIZED()) {
 	psearch_list = (PSearch_List *) slapi_ch_calloc( 1, sizeof( PSearch_List ));
 	if (( psearch_list->pl_rwlock = slapi_new_rwlock()) == NULL ) {
-	    LDAPDebug( LDAP_DEBUG_ANY, "init_psearch_list: cannot initialize lock structure. "
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "init_psearch_list: cannot initialize lock structure. "
 		    "The server is terminating.\n", 0, 0, 0 );
 	    exit( -1 );
 	}
 	if (( psearch_list->pl_cvarlock = PR_NewLock()) == NULL ) {
-	    LDAPDebug( LDAP_DEBUG_ANY, "init_psearch_list: cannot create new lock.  "
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "init_psearch_list: cannot create new lock.  "
 		    "The server is terminating.\n", 0, 0, 0 );
 	    exit( -1 );
 	}
 	if (( psearch_list->pl_cvar = PR_NewCondVar( psearch_list->pl_cvarlock )) == NULL ) {
-	    LDAPDebug( LDAP_DEBUG_ANY, "init_psearch_list: cannot create new condition variable.  "
+	    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "init_psearch_list: cannot create new condition variable.  "
 		    "The server is terminating.\n", 0, 0, 0 );
 	    exit( -1 );
 	}
@@ -182,7 +182,7 @@ ps_add( Slapi_PBlock *pb, ber_int_t changetypes, int send_entchg_controls )
        if(NULL == ps_tid){
             int prerr;
             prerr = PR_GetError(); 
-            LDAPDebug(LDAP_DEBUG_ANY,"persistent search PR_CreateThread()failed in the " 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"persistent search PR_CreateThread()failed in the " 
                      "ps_add function: " SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
 					 prerr, slapd_pr_strerror(prerr), 0); 
    
@@ -438,7 +438,7 @@ psearch_alloc(void)
 
     ps->ps_pblock = NULL;
     if (( ps->ps_lock = PR_NewLock()) == NULL ) {
-	LDAPDebug( LDAP_DEBUG_ANY, "psearch_add: cannot create new lock.  "
+	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "psearch_add: cannot create new lock.  "
 		"Persistent search abandoned.\n", 0, 0, 0 );
 	slapi_ch_free((void **)&ps);
 	return( NULL );
@@ -582,7 +582,7 @@ ps_service_persistent_searches( Slapi_Entry *e, Slapi_Entry *eprev, ber_int_t ch
 							eprev ? slapi_entry_get_dn_const(eprev) : NULL,
 							&ctrl );
 					if ( rc != LDAP_SUCCESS ) {
-		   				LDAPDebug( LDAP_DEBUG_ANY, "ps_service_persistent_searches:"
+		   				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ps_service_persistent_searches:"
 						" unable to create EntryChangeNotification control for"
 						" entry \"%s\" -- control won't be sent.\n",
 						slapi_entry_get_dn_const(e), 0, 0 );
@@ -614,10 +614,10 @@ ps_service_persistent_searches( Slapi_Entry *e, Slapi_Entry *eprev, ber_int_t ch
 		ldap_control_free( ctrl );
 		/* Turn 'em loose */
 		ps_wakeup_all();
-		LDAPDebug( LDAP_DEBUG_TRACE, "ps_service_persistent_searches: enqueued entry "
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ps_service_persistent_searches: enqueued entry "
 			"\"%s\" on %d persistent search lists\n", slapi_entry_get_dn_const(e), matched, 0 );
 	} else {
-		LDAPDebug( LDAP_DEBUG_TRACE, "ps_service_persistent_searches: entry "
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "ps_service_persistent_searches: entry "
 			"\"%s\" not enqueued on any persistent search lists\n", slapi_entry_get_dn_const(e), 0, 0 );
 	}
 
diff --git a/ldap/servers/slapd/pw.c b/ldap/servers/slapd/pw.c
index ed83ded..f040893 100644
--- a/ldap/servers/slapd/pw.c
+++ b/ldap/servers/slapd/pw.c
@@ -112,7 +112,7 @@ slapi_pw_find_sv(
 	char			*valpwd;
     int     		i;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_pw_find value: \"%s\"\n", slapi_value_get_string(v), 0, 0 ); /* JCM Innards */
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_pw_find value: \"%s\"\n", slapi_value_get_string(v), 0, 0 ); /* JCM Innards */
 
     for ( i = 0; vals && vals[i]; i++ )
     {
@@ -120,7 +120,7 @@ slapi_pw_find_sv(
 		if ( pwsp != NULL && 
 			(*(pwsp->pws_cmp))( (char*)slapi_value_get_string(v), valpwd ) == 0 ) /* JCM Innards*/
 		{
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			    "<= slapi_pw_find matched \"%s\" using scheme \"%s\"\n",
 			    valpwd, pwsp->pws_name, 0 );
 			free_pw_scheme( pwsp );
@@ -129,7 +129,7 @@ slapi_pw_find_sv(
 		free_pw_scheme( pwsp );
 	}
  
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_pw_find no matching password\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_pw_find no matching password\n", 0, 0, 0 );
 
     return( 1 );	/* no match */
 }
@@ -1324,7 +1324,7 @@ slapi_add_pwd_control ( Slapi_PBlock *pb, char *arg, long time) {
 	LDAPControl	new_ctrl;
 	char		buf[12];
 	
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_add_pwd_control\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_add_pwd_control\n", 0, 0, 0 );
 	
 	sprintf( buf, "%ld", time );
 	new_ctrl.ldctl_oid = arg;
@@ -1597,7 +1597,7 @@ pw_get_admin_users(passwdPolicy *pwp)
 	if (res != LDAP_SUCCESS) {
 		slapi_free_search_results_internal(pb);
 		slapi_pblock_destroy(pb);
-		LDAPDebug(LDAP_DEBUG_ANY, "pw_get_admin_users: search failed for %s: error %d - "
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "pw_get_admin_users: search failed for %s: error %d - "
 		        "Password Policy Administrators can not be set\n",
 		        slapi_sdn_get_dn(sdn), res, 0);
 		return;
@@ -2077,7 +2077,7 @@ slapi_pwpolicy_make_response_control (Slapi_PBlock *pb, int seconds, int logins,
 			passwordInHistory     (8) } }
 	*/
 	
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> slapi_pwpolicy_make_response_control", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> slapi_pwpolicy_make_response_control", 0, 0, 0 );
 	if ( ( ber = ber_alloc()) == NULL )
 	{
 		return rc;
@@ -2123,7 +2123,7 @@ slapi_pwpolicy_make_response_control (Slapi_PBlock *pb, int seconds, int logins,
 		ber_bvfree(bvp);
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= slapi_pwpolicy_make_response_control (%d)", rc, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= slapi_pwpolicy_make_response_control (%d)", rc, 0, 0 );
 
 	return (rc==-1?LDAP_OPERATIONS_ERROR:LDAP_SUCCESS);
 }
diff --git a/ldap/servers/slapd/referral.c b/ldap/servers/slapd/referral.c
index 555e39a..a7e799e 100644
--- a/ldap/servers/slapd/referral.c
+++ b/ldap/servers/slapd/referral.c
@@ -46,7 +46,7 @@ g_get_global_referrals(void)
         global_referrals.ra_rwlock = slapi_new_rwlock();
       
         if (global_referrals.ra_rwlock == NULL) {
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
     		   "ref_array_init: new lock creation failed\n", 0, 0, 0);
         	exit (-1);
         }
@@ -238,7 +238,7 @@ ref_adjust( Slapi_PBlock *pb, struct berval **urls, const Slapi_DN *refsdn,
      */
 	if ( LDAPDebugLevelIsSet( LDAP_DEBUG_ARGS )) {
 	for ( i = 0; urlscopy[i] != NULL; ++i ) {
-	    LDAPDebug( LDAP_DEBUG_ARGS, "ref_adjust: \"%s\" -> \"%s\"\n",
+	    LDAPDebug(LDAP_DEBUG_ARGS, LOG_DEBUG, "ref_adjust: \"%s\" -> \"%s\"\n",
 		urls[i]->bv_val, urlscopy[i]->bv_val, 0 );
 	}
     }
